package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.service.presenter.BatchLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.exchange.sheepEx.SheepExCargoBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.exchange.sheepEx.SheepExCargoListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.exchange.sheepEx.SheepExCargoSingleLSPresenter;

public class ExchangeCargoConfigCreateTools {

	/**
	 * 获取调货列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createExchangeCargoListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_SHEEP_EXCHANGE_CARGO:
			//羊老大调货
			presenter = new SheepExCargoListPresenter(context, hisView);
			break;
		}
		return presenter;
	}
	/**
	 * 获取调货列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createExchangeCargoSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_SHEEP_EXCHANGE_CARGO:
			//羊老大调货
			presenter = new SheepExCargoSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 获取调货列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createExchangeCargoBatchLabelScannerPresenter(int handsetVersionMode, Context context,
			BatchLabelScannerConstact.View sView, Intent intent) {
		BatchLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_SHEEP_EXCHANGE_CARGO:
			//羊老大调货
			presenter = new SheepExCargoBatchLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
}
